#include <stdio.h>
#include <string.h>

#include <X11/XCB/xcb.h>

#include "ecore_xcb_request.h"

extern XCBConnection *ecore_xcb_conn;

unsigned int atom_request_id[2];

void
atom_request ()
{
  XCBInternAtomCookie cookie;

  cookie = XCBInternAtom (ecore_xcb_conn, 0,
                          strlen ("toto"),
                          "toto");
  atom_request_id[0] = ecore_xcb_request_add ((Ecore_Xcb_Generic_Cookie*)&cookie,
                                              (Ecore_Xcb_Reply_Func)XCBInternAtomReply);
  cookie = XCBInternAtom (ecore_xcb_conn, 0,
                          strlen ("tatata"),
                          "tatata");
  atom_request_id[1] = ecore_xcb_request_add ((Ecore_Xcb_Generic_Cookie*)&cookie,
                                              (Ecore_Xcb_Reply_Func)XCBInternAtomReply);
}

void
atom_reply ()
{
  XCBInternAtomRep *rep;

  rep = ecore_xcb_request_poll (atom_request_id[0]);
  printf ("first atom, length  : %ld\n", rep->length);

  rep = ecore_xcb_request_poll (atom_request_id[1]);
  printf ("second atom, length : %ld\n", rep->length);
}
